<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

	<!-- external CSS -->
	<link rel="stylesheet" type="text/css" href="./css/style.css">

	<title>Bootstrap Components</title>
</head>
<body>
	<!-- navbar -->
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<a class="navbar-brand" href="#">Navbar</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarNav">
				<ul class="navbar-nav">
					<li class="nav-item active">
						<a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="#">Features</a>
					</li>
				</ul>
			</div>	
		</nav>

		<div class="d-flex justify-content-center">
			<h1 class="bg-warning text-center text-md-left">Boostrap Components</h1>
		</div>

		<!-- main content -->
		<div class="container">
			<div class="jumbotron d-flex flex-column justify-content-center align-items-center text-secondary text-center text-md-left" id="banner">
				<h1>Welcome to our Page!</h1>
				<h3>These are samples of Bootstrap Components</h3>
			</div>

			<div class="row">
				<div class="col-md-6 my-4">
					<h2 class="text-center">Find Us!</h2>
					<iframe id="gmap_canvas" src="https://maps.google.com/maps?q=Zuitt%20QC&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
					</iframe>
				</div>
				<div class="col-md-6 my-4">
					<h2 class="text-center">Contact Us!</h2>
					<form>
						<div class="form-group">
							<label for="txt-email">Email:</label>
							<input type="email" name="email" id="txt-email"	placeholder="name@example.com"	class="form-control">
						</div>
						<div class="form-group">
							<label for="txt-select">Example Select:</label>
							<select name="sampleSelect" id="txt-select" class="sampleSelect">
								<option>Option 1</option>
								<option>Option 2</option>
								<option>Option 3</option>
								<option>Option 4</option>
							</select>
						</div>
						<div class="form-group">
							<label for="txt-textarea">Example TextArea</label>
							<textarea name="form-control" id="txt-textarea" rows="3" class="form-control"></textarea>
						</div>
						<button type="submit" class="btn btn-outline-primary">Submit</button>
						<button type="reset" class="btn btn-outline-danger">Reset</button>
					</form>
				</div>
			</div>
			<!-- carousel -->
			<div class="row mt-5 d-none d-md-block">
				<div class="col-md-6 mx-auto">
					<div data-ride="carousel" id="carouselExampleCaptions" class="carousel slide">
						<ol class="carousel-indicators">
							<li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="3"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="4"></li>
						</ol>
						<div class="carousel-inner">
							<div class="carousel-item active">
								<img src="https://place-puppy.com/500x300" alt="..." class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>First slide label</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<div class="carousel-item">
								<img src="https://loremflickr.com/320/240/dog" alt="..." class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>Second slide label</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<div class="carousel-item">
								<img src="https://loremflickr.com/g/320/240/paris" alt="..." class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>Third slide label</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<div class="carousel-item">
								<img src="https://loremflickr.com/320/240" class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>Fourth slide label</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
								<button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="prev">
									<img src="https://place-puppy.com/500x300" alt="..." class="d-block w-100">
								</div>
								<div>
								<a href="carouselExampleCaptions" role="button" data-slide="prev" class="carousel-control-prev">
									<span class="carousel-control-prev-icon" aria-hidden="true"></span>
									<span class="sr-only">Previous</span>

								</a>
								<a href="carouselExampleCaptions" role="button" data-slide="next" class="carousel-control-next">
									<span class="carousel-control-next-icon" aria-hidden="true"></span>
									<span class="sr-only">Next</span>
								</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- end carousel -->
	<!-- end main content -->
	<!-- footer -->

	<!-- end main footer -->
	<!-- JS dependencies -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

</body>
</html>